Skip to main content
POST
/
api
/
external
/
companies
/
{companyId}
/
v1
/
exposures
curl --request POST \
  --url https://app.aiinsurance.io/api/external/companies/{companyId}/v1/exposures \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "exposureName": "Acme Corporation",
  "exposureType": "business"
}
'
{
  "id": "550e8400-e29b-41d4-a716-446655440003"
}

Authorizations

Authorization
string
header
required

API key authentication. Include your key in the Authorization header: Authorization: ApiKey YOUR-API-KEY

Path Parameters

companyId
string<uuid>
required

Company identifier

Body

application/json

Flat JSON object with field referenceIds as keys

Response

Exposure created successfully

id
string<uuid>

The ID of the created exposure